//*********************************************
//         SHADER
//*********************************************
//	ID		:	lib1_glass.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
//	INDEX	18
//	|--	GLASS	xx
//	|--	CRYSTAL	xx
//	|	|--	blue
//	|	|--	red
//	|	|--	green
//	|--	MIRROR	xx
//*********************************************
//
//---------------------------------------------
//-- GLASS
//---------------------------------------------
//
//-- glass
//---------------------------------------------
textures/lib1_glass/glass01a_s1
{	qer_editorimage textures/lib1_glass/blend/glass01a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib5_glass/blend/reflect01b_d1.tga		//change location
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/glass01a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/lib1_glass/glass02a_s1
{	qer_editorimage textures/lib1_glass/blend/glass02a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib5_glass/blend/reflect01b_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/glass02a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/lib1_glass/glass03a_s1
{	qer_editorimage textures/lib1_glass/blend/glass03a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib5_glass/blend/reflect01b_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/glass03a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/lib1_glass/glass04a_s1
{	qer_editorimage textures/lib1_glass/blend/glass04a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib5_glass/blend/reflect01b_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/glass04a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
//
//---------------------------------------------
//-- CRYSTAL
//---------------------------------------------
//
//-- crystal -- blue
//---------------------------------------------
textures/lib1_glass/crystal02a_s1
{	qer_editorimage textures/lib1_glass/blend/crystal02a_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_glass/blend/crystal02a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	cull none
//	{
//		map $lightmap 
//		blendfunc filter
//		tcGen lightmap 
//	}
	{	map textures/lib1_glass/blend/platform_tint2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/crystal02b_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//-- crystal -- red
//---------------------------------------------
textures/lib1_glass/crystal03a_s1
{	qer_editorimage textures/lib1_glass/blend/crystal03a_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_glass/blend/crystal03a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	cull none
//	{
//		map $lightmap 
//		blendfunc filter
//		tcGen lightmap 
//	}
	{	map textures/lib1_glass/blend/platform_tint2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/crystal03b_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//-- crystal -- green
//---------------------------------------------
textures/lib1_glass/crystal05a_s1
{	qer_editorimage textures/lib1_glass/blend/crystal05a_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_glass/blend/crystal05a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
//	surfaceparm lightfilter
	cull none
//	{
//		map $lightmap 
//		blendfunc filter
//		tcGen lightmap 
//	}
	{	map textures/lib1_glass/blend/platform_tint2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/crystal05b_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//---------------------------------------------
//-- SLICK
//---------------------------------------------
//
//-- slick -- blue
//---------------------------------------------
textures/lib1_glass/slick02a_s1
{	qer_editorimage textures/lib1_glass/flat02a_d1.tga
	qer_trans 0.5
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/reflect02a_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/flat02a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//-- slick -- red
//---------------------------------------------
textures/lib1_glass/slick03a_s1
{	qer_editorimage textures/lib1_glass/flat03a_d1.tga
	qer_trans 0.5
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/reflect02a_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/flat03a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//-- slick -- green
//---------------------------------------------
textures/lib1_glass/slick05a_s1
{	qer_editorimage textures/lib1_glass/flat05a_d1.tga
	qer_trans 0.5
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/reflect02a_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/flat05a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//---------------------------------------------
//-- MIRROR
//---------------------------------------------
//
//-- glass -- mirror
//---------------------------------------------
textures/lib1_glass/mirror01a_s1
{	qer_editorimage textures/lib1_glass/blend/glass01a_d1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/misato-san/chrome_tint2.tga
		tcMod scale  1 1
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{
		map textures/lib1_glass/blend/glass01a_d1.tga
		rgbGen const ( 0.1 0.1 0.1 )
		blendfunc GL_ONE GL_ONE
		depthWrite
	}
}